View a markdown version of this page

CancelContact - AWS Ground Station

CancelContact

Cancels or stops a contact with a specified contact ID based on its position in the contact lifecycle.

For contacts that:

  • Have yet to start, the contact will be cancelled.

  • Have started but have yet to finish, the contact will be stopped.

Request Syntax

DELETE /contact/contactId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

contactId

UUID of a contact.

Length Constraints: Fixed length of 36.

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "contactId": "string", "versionId": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

contactId

UUID of a contact.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

versionId

Version ID of a contact.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 128.

Errors

For information about the errors that are common to all actions, see Common Error Types.

DependencyException

Dependency encountered an error.

parameterName

Name of the parameter that caused the exception.

HTTP Status Code: 531

InvalidParameterException

One or more parameters are not valid.

parameterName

Name of the invalid parameter.

HTTP Status Code: 431

ResourceNotFoundException

Resource was not found.

HTTP Status Code: 434

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: